Changes

Jump to: navigation, search

Ubuntu Lucid Installation Guide

756 bytes added, 22:08, 3 July 2010
Add Build Failed Issue
= Issues =
== Build Fails and Log Shows "mixed implicit and normal rules. Stop." == If the installation fails and you find the above message in /var/lib/dkms/fglrx/8.741/build/make.log, it may be because you're using a pentium-build wrapper around gcc. See what the following ls command returns: $ ls -la /usr/bin/gccIf it shows that gcc is a link to builder-cc, temporarily redirect the link to point to the real gcc (gcc-4.4 in Ubuntu Lucid). This should allow you to install fglrx: $ sudo ln -sf /usr/bin/gcc-4.4 /usr/bin/gccWhen you're finished installing the driver, return the gcc link to its original value: $ sudo ln -sf /usr/bin/builder-cc /usr/bin/gccLaunchpad link for this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/555957 == "Errors were encountered while processing: fglrx-amdcccle" (on 64-bit systems) ===
Most likely, you probably did not have the "ia32-libs" package installed beforehand. If you have a 64 bit install, the above dpkg command may complain that "Errors were encountered while processing: fglrx-amdcccle". This is because of a dependency of the amdccle package on 32 bit libraries. If you receive this error, use the following command, which will force the installation of all of the 32 bit dependencies, and then the amdcccle package:
331
edits

Navigation menu